# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010, 2013, 2014 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields
from openerp.osv.orm import Model
from openerp import netsvc


class gs_account_period(Model):
    _name = 'account.period'
    _inherit = 'account.period'

    def create(self, cr, uid, vals, context=None):
        context = context or {}
        margin_invoice_report_obj = self.pool.get('margin.invoice.report')
        sales_person_obj = self.pool.get('gs.salesperson')
        period_id = super(gs_account_period, self).create(cr, uid, vals, context)
        salesperson_list = sales_person_obj.search(cr, uid, [('active', '=', True)])
        if vals.get('special', False) == False:
            if salesperson_list:
                for salesperson in sales_person_obj.browse(cr, uid, salesperson_list, context):
                    vals_margin = {
                        'period_id': period_id,
                        'user_id': salesperson.user_id.id
                    }
                    margin_invoice_report_obj.create(cr, uid, vals_margin, context)
        return period_id

    def unlink(self, cr, uid, ids, context=None):
        context = context or {}
        margin_invoice_report_obj = self.pool.get('margin.invoice.report')
        margin_invoice_report_list = margin_invoice_report_obj.search(cr, uid, [('period_id', '=', ids)])
        if margin_invoice_report_list:
            margin_invoice_report_obj.unlink(cr, uid, margin_invoice_report_list, context)
        return super(gs_account_period, self).unlink(cr, uid, ids, context)