# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010, 2013, 2014 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp import tools
from openerp.osv import fields, osv
from openerp.osv.orm import Model
from openerp.tools import float_round
from openerp.tools.translate import _


class account_voucher(Model):
    _name = 'account.voucher'
    _inherit = 'account.voucher'

    def action_move_line_create(self, cr, uid, ids, context=None):
        '''
        Confirm black list constraint
        '''
        if context is None:
            context = {}

        black_list_obj = self.pool.get('black.list.constraint')

        for voucher in self.browse(cr, uid, ids, context=context):
            black_list_search = black_list_obj.search(cr, uid, [('user_id', '=', uid),('company_id', '=', voucher.company_id.id),]) or False
            if black_list_search:
                mount = self._compute_writeoff_amount(cr, uid, voucher.line_dr_ids, voucher.line_cr_ids, voucher.amount, voucher.type)
                if mount != 0:
                    raise osv.except_osv(_('Amount Error!'),
                                     _('You can not validate this Payment, because the Write-Off amount is distinct to cero.'))
        return super(account_voucher, self).action_move_line_create(cr, uid, ids, context=context)
