# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010, 2014 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields
from openerp.osv.orm import Model


class sale_order_line(Model):
    _name = 'sale.order.line'
    _inherit = 'sale.order.line'

    _columns = {
        'hotel_1_room_type_id': fields.many2one('option.value', 'Room Type',
                            domain="[('option_type_id.code', '=', 'rt')]",
                            readonly=True,
                            states={'draft': [('readonly', False)],
                                    'cancel': [('readonly', False)]}),
        'hotel_2_meal_plan_id': fields.many2one('option.value', 'Meal Plan',
                            domain="[('option_type_id.code', '=', 'mp')]",
                            readonly=True,
                            states={'draft': [('readonly', False)],
                                    'cancel': [('readonly', False)]})
    }
