# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010, 2014 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv.orm import Model


class sale_order(Model):
    _name = 'sale.order'
    _inherit = 'sale.order'

    def update_commision(self, cr, uid, order, context=None):
        commission = False
        for o in order.order_line:
            if hasattr(o.travel_product_id, 'miscellaneous_type'):
                if getattr(o.travel_product_id, 'miscellaneous_type') == 'commission':
                    commission = {
                        'id': o.id,
                        'price_unit': o.price_unit,
                        'price': o.travel_product_id.list_price
                    }
        if commission:
            new_price = (order.amount_total - commission['price_unit']) * commission['price']
            context.update({'commission': True})
            sol_obj = self.pool.get('sale.order.line')
            sol_obj.write(cr, uid, [commission['id']], {'price_unit': new_price}, context)
        return True

    def create(self, cr, uid, vals, context=None):
        res_id = super(sale_order, self).create(cr, uid, vals, context)
        order = self.browse(cr, uid, res_id, context)
        self.update_commision(cr, uid, order, context)
        return res_id

    def write(self, cr, uid, ids, vals, context=None):
        context = context or {}
        res = super(sale_order, self).write(cr, uid, ids, vals, context)
        if not context.get('commission', False):
            for order in self.browse(cr, uid, ids, context):
                self.update_commision(cr, uid, order, context)
        return res
