# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010, 2014 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields
from openerp.osv.orm import Model


class sale_order_line(Model):
    _name = 'sale.order.line'
    _inherit = 'sale.order.line'
    _columns = {
        'transfer_1_vehicle_type_id': fields.many2one('option.value',
                                                      'Vehicle Type',
                            domain="[('option_type_id.code', '=', 'vt')]",
                            readonly=True,
                            states={'draft': [('readonly', False)],
                                    'cancel': [('readonly', False)]}),
        'transfer_2_pickup_time': fields.char('Pickup Time', size=64),
        'transfer_3_pickup_place': fields.char('Pickup Place', size=255),
        'transfer_4_return_time': fields.char('Return Time', size=64),
        'transfer_5_return_place': fields.char('Return Place', size=255)
    }
