# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010, 2014 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import fields
from openerp.osv.orm import Model


class product_transfer(Model):
    _name = 'product.transfer'
    _inherits = {'product.product': 'product_id'}
    _inherit = ['mail.thread']
    _columns = {
        'product_id': fields.many2one('product.product', 'Product',
                                      required=True, ondelete="cascade"),
        'transfer_name': fields.related('product_id', 'name', type='char',
                                        string='Name', size=128, select=True,
                                        store=True),
        'origin': fields.many2one('destination', 'Origin'),
        'to': fields.many2one('destination', 'To')
    }

    def price_get_partner(self, cr, uid, cls, to_search, params, context=None):
        model = self.pool.get(cls)
        price = 0.0
        if params.get('transfer_1_vehicle_type_id', False):
            to_search.append(('vehicle_type_id',
                              '=', params['transfer_1_vehicle_type_id']))
        pp_ids = model.search(cr, uid, to_search, context=context)
        if pp_ids:
            pp = model.browse(cr, uid, pp_ids[0], context)
            # TODO: los paxs se deben buscar para saber que rate aplica
            paxs = params.get('adults', 0) + params.get('children', 0)
            price = pp.price * paxs
        return price

    _order = 'transfer_name asc'


class pricelist_partnerinfo(Model):
    _name = 'pricelist.partnerinfo'
    _inherit = 'pricelist.partnerinfo'
    _columns = {
        'vehicle_type_id': fields.many2one('option.value', 'Vehicle',
                            domain="[('option_type_id.code', '=', 'vt')]"),
        'vehicle_capacity_id': fields.many2one('option.value', 'Capacity',
                            domain="[('option_type_id.code', '=', 'vp')]"),
        'guide_id': fields.many2one('option.value', 'Guide',
                            domain="[('option_type_id.code', '=', 'tg')]"),
        'confort_id': fields.many2one('option.value', 'Confort',
                            domain="[('option_type_id.code', '=', 'vc')]")
    }
